#ifndef INC_GTTYPES_H
#define INC_GTTYPES_H

/************************************************************************\
*
* Standard typedefs for types used.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

/* Standard types */

typedef char byte;
typedef unsigned char ubyte;
typedef short word;
typedef unsigned short uword;

#ifndef _SYS_TYPES_H
typedef unsigned long ulong;
#endif

typedef char sbool;

#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#ifndef NULL
#define NULL ((void *)0)
#endif

#endif /* INC_GTTYPES_H */
